diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 92b7599..122458b 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -123908,7 +123908,7 @@ PolynomialFactorizationByRecursionUnivariate(R, S): public == private where
        lpolysLower:=[lower u for u in lpolys]
        answer:List SupS := [0 for u in lpolys]
        for i in 0..rhsdeg repeat
-         ppx:=map(coefficient(#1,i),pp)
+         ppx:=map((z1:S):R +-> coefficient(z1,i),pp)
          zero? ppx => "next"
          recAns:= solveLinearPolynomialEquation(lpolysLower,ppx)
          recAns case "failed" => return "failed"
@@ -123937,7 +123937,7 @@ PolynomialFactorizationByRecursionUnivariate(R, S): public == private where
              -- then we have all the factors
              return [append(foundFactors, factors)]
           step:=solveLinearPolynomialEquation(origFactors,
-                                              map(elt(#1,r::S),
+                                              map(z1 +-> elt(z1,r::S),
                                                   Ecart))
           step case "failed" => return "failed" -- must be a false split
           factors:=[a+b*pn for a in factors for b in step]
@@ -123965,17 +123965,17 @@ PolynomialFactorizationByRecursionUnivariate(R, S): public == private where
      while true repeat
         substns:= randomR()
         zero? elt(leadingCoefficient pp,substns ) => "next"
-        ppR:=map( elt(#1,substns),pp)
+        ppR:=map(z1 +-> elt(z1,substns),pp)
         degree gcd(ppR,differentiate ppR)>0 => "next"
         leave
      [substns,ppR]
-   raise(supR) == map(#1:R::S,supR)
-   lower(pp) == map(retract(#1)::R,pp)
+   raise(supR) == map(z1 +-> z1:R::S,supR)
+   lower(pp) == map(z1 +-> retract(z1)::R,pp)
    factorSFBRlcUnitInner(pp,r) ==
       -- pp is square-free as a Sup, but the Up  variable occurs.
       -- Furthermore, its LC is a unit
       -- returns "failed" if the substitution is bad, else a factorization
-      ppR:=map(elt(#1,r),pp)
+      ppR:=map(z1 +-> elt(z1,r),pp)
       degree ppR < degree pp => "failed"
       degree gcd(ppR,differentiate ppR) >0 => "failed"
       factors:=
@@ -124024,7 +124024,7 @@ PolynomialFactorizationByRecursionUnivariate(R, S): public == private where
      unit? c => refine(squareFree pp,factorSquareFreeByRecursion)
      pp:=(pp exquo c)::SupS
      mergeFactors(refine(squareFree pp,factorSquareFreeByRecursion),
-                  map(#1:S::SupS,factor(c)$S))
+                  map(z1 +-> z1:S::SupS,factor(c)$S))
    factorSquareFreeByRecursion pp ==
      and/[zero? degree u for u in coefficients pp] =>
         map(raise,factorSquareFreePolynomial lower pp)
diff --git a/changelog b/changelog
index a634369..1cab05e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090612 tpd src/axiom-website/patches.html 20090612.05.tpd.patch
+20090612 tpd books/bookvol10.4 PFBRU +-> conversion
 20090612 tpd src/axiom-website/patches.html 20090612.04.tpd.patch
 20090612 tpd books/bookvol10.4 PFBR +-> conversion
 20090612 tpd src/axiom-website/patches.html 20090612.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 18fed6d..9728298 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1555,5 +1555,7 @@ bookvol10.4 PAN2EXPR +-> conversion<br/>
 bookvol10.4 POLYCATQ +-> conversion<br/>
 <a href="patches/20090612.04.tpd.patch">20090612.04.tpd.patch</a>
 bookvol10.4 PFBR +-> conversion<br/>
+<a href="patches/20090612.05.tpd.patch">20090612.05.tpd.patch</a>
+bookvol10.4 PFBRU +-> conversion<br/>
  </body>
 </html>
